Workflows
Workflows
Get workflow
GET
A version of a workflow (the latest when no version is given) with its document, and the workflow's region.
Authorization
AuthorizationstringheaderrequiredBearer <key>, where <key> is a workspace API key or a user API key. See Authentication.
workspace_id*integerThe workspace. List the ones your key can reach with GET /v1/workspaces.
workflow_id*stringThe workflow.
Format
uuidregion?|Region to get the workflow from. If not provided, multiple regions will be searched. To increase performance, it is recommended to provide a region.
Default
nullversion?|Version of the workflow to get. If not provided, the latest version will be returned.
Default
nullOK
application/json- response
workflow*A version of a workflow, as the documented "Get workflow" answers it; workflow_schema is the workflow document
region*RegionsValue in
"besg""usnv"curl -X GET 'https://api.stacksync.com/v1/workspaces/0/workflows/id/497f6eca-6276-4993-bfeb-53cbbbba6f08/'{ "workflow": { "workflow_id": "<workflow_id>", "workflow_version": "<workflow_version>", "workflow_status": "<workflow_status>", "is_draft": false, "is_deployed": false, "workflow_schema": { "workflow_execution_timeout": 300, "workflow_module_execution_timeout": 300, "return_workflow_module_instance_ids": [ "<return_workflow_module_instance_ids>" ], "modules": [ { "name": "<name>", "workflow_module_instance_id": "<workflow_module_instance_id>", "module_id": "<module_id>", "description": "<description>", "properties": {}, "connections": [], "module_options": { "patches": {}, "layout": { "group_module_instance_id": "<group_module_instance_id>" }, "enable_error_handling": false, "workflow_module_execution_timeout": 0 }, "error_handling_strategy": { "conditions": [], "else_condition": { "retry_count": 0, "retry_interval": 0 } } } ], "edges": [ { "source": { "handle_id": "<handle_id>", "workflow_module_instance_id": "<workflow_module_instance_id>" }, "target": { "handle_id": "<handle_id>", "workflow_module_instance_id": "<workflow_module_instance_id>" }, "edge_id": "<edge_id>" } ] }, "options": {}, "created_by": 0, "created_time": "<created_time>", "last_modified_by": 0, "last_modified_time": "<last_modified_time>" }, "region": "besg"}